Bug 1095435 - [RFE] activation key - add a secure "key" field to be used instead of name when registering
Summary: [RFE] activation key - add a secure "key" field to be used instead of name wh...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 16:53 UTC by Tom McKay
Modified: 2019-02-25 20:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 16:24:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5615 None None None 2016-04-22 15:00:01 UTC

Description Tom McKay 2014-05-07 16:53:44 UTC
Instead of having users register by activation key name, a more secure "key" should be available (eg. 32 character hash or similar). In this manner they could still name activation keys with readable/referencable names but would use the cryptic key with subscription-manager.

Comment 1 Tom McKay 2014-05-07 16:53:46 UTC
Created from redmine issue http://projects.theforeman.org/issues/5615

Comment 3 Bryan Kearney 2015-08-25 17:23:26 UTC
Upstream bug component is WebUI

Comment 4 Bryan Kearney 2015-08-25 17:36:18 UTC
Upstream bug component is Content Management

Comment 5 Bryan Kearney 2015-08-25 20:02:51 UTC
Upstream bug component is Content Management

Comment 6 Bryan Kearney 2015-08-25 20:23:08 UTC
Upstream bug component is Activation Keys

Comment 7 Og Maciel 2017-02-13 16:24:47 UTC
I do not envision this bug being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.


Note You need to log in before you can comment on or make changes to this bug.